--
--This script extracts data from the employee
--table, and writes it to a text file in
--a comma-delimited format.
--

--Set the linesize to accomodate the longest possible line.
SET LINESIZE 136

--Turn off all page headings, column headings, etc.
SET PAGESIZE 0

--Turn off feedback
SET FEEDBACK OFF
SET TERMOUT OFF
SPOOL C:\A\EMP_DATA.CSV
SELECT TO_CHAR(employee_id) || ','
       || '"' || employee_name || '",'
       || TO_CHAR(employee_hire_date,'MM/DD/YYYY') || ','
       || TO_CHAR(employee_termination_date,'MM/DD/YYYY') || ','
       || TO_CHAR(employee_billing_rate)
  FROM employee;
SPOOL OFF

--Restore the default settings.
SET LINESIZE 80
SET PAGESIZE 24
SET FEEDBACK ON
SET TERMOUT ON


