--
--This script extracts data from the employee
--table, and writes it to a text file in
--a comma-delimited format.
--

--Tell the user what he is about to do.
PROMPT
PROMPT This script creates a comma-delimited text file containing
PROMPT employee data. All records from the employee table will
PROMPT be output to this file.
PROMPT

--Give the user a chance to bail-out.
PAUSE Press ENTER to continue, or ctrl-C to abort.

--Ask the user for a filename.
ACCEPT OUTPUT_FILE CHAR PROMPT 'Enter the output filename >'

--Set the linesize to accomodate the longest possible line.
SET LINESIZE 136

--Turn off all page headings, column headings, etc.
SET PAGESIZE 0

--Turn off feedback
SET FEEDBACK OFF

--Eliminate trailing blanks at the end of a line.
SET TRIMSPOOL ON

SET TERMOUT OFF
SPOOL &OUTPUT_FILE
COLUMN employee_id FORMAT 09999 HEADING ''
COLUMN employee_name FORMAT A20 HEADING '' TRUNCATED
COLUMN employee_hire_date FORMAT A10 HEADING ''
COLUMN employee_termination_date FORMAT A10 HEADING ''
COLUMN employee_billing_rate FORMAT S099.99 HEADING ''
SELECT employee_id,
       employee_name,
       TO_CHAR(employee_hire_date,'MM/DD/YYYY') employee_hire_date,
       TO_CHAR(employee_termination_date,'MM/DD/YYYY')
            employee_termination_date,
       employee_billing_rate
  FROM employee;
SPOOL OFF

--Restore the default settings.
SET LINESIZE 80
SET PAGESIZE 24
SET FEEDBACK ON
SET TERMOUT ON


